All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.dataselectors.calculateditems.html
Class SimpleCalculatedItemSelector

    com.sas.servlet.tbeans.dataselectors.calculateditems.html.SimpleCalculatedItemSelector

All Implemented Interfaces:
  HttpActionProviderInterface, com.sas.beans.PropertyChangeSource, CompositeSelectorInterface, DataSelectorInterface, HttpDataSelectorInterface, com.sas.dataselectors.SelectorCloseInterface, com.sas.lang.ObjectDataInterface, com.sas.servlet.tbeans.AJAXControllerURLInterface, ComplexStyleInterface, CompositeComponentInterface, SelectorContainerStyleKeysInterface, SelectorContainerKeysInterface, FormViewInterface, RenderableInterface, TemplateInterface, com.sas.servlet.tbeans.TemplateKeyInterface, TransformationInterface, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable

    @SASScope(value="ALL")
    public class SimpleCalculatedItemSelector

implements CompositeSelectorInterface

The SimpleCalculatedItemSelector is a TransformationBean™ that generates the appropriate HTML 4.0 and JavaScript to create a container class for the simple calculated item selector, a data selector used to manage calculated items created at run-time. The selector allows a user to create simple calculated columns or measures from a list of available data items. The simple calculated item selector supports the following operations: addition, subtraction, multiplication, and division. This selector provides the user interface for creating, updating, and deleting calculated items at run-time.

The SimpleCalculatedItemSelector is invoked from the menu bar on a relational or OLAP table view composite component. This visual provides a wrapper to the `SimpleCalculatedItemSelectorPanel` which provides the functionality for this selector.

Note that the toString() method on this class calls the `write` method, which may have undesirable side effects. See BaseTransformation.toString() for more information. Debuggers often use toString() to show the value of a variable, and this may cause unexpected behavior while debugging

For More Information:

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Examples for this class may be found on the Examples Site.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

See Also:
  `SimpleCalculatedItemSelectorPanel`, `SimpleCalculatedItemSelectorCommand`, Serialized Form

Field Summary
`protected java.util.Map` | `subSelectors` The list of subselectors used to extend the original functionalities of this selector

Fields inherited from class com.sas.servlet.tbeans.dataselectors.html.AbstractSelectorContainer
`DEFAULT_TEMPLATE_FILE_NAME`

Fields inherited from class com.sas.servlet.tbeans.dataselectors.BaseDataSelector
`EXTERNAL_CHILD_SELECTOR, SELECTOR_EXPAND, SELECTOR_EXTERNAL`

Fields inherited from interface com.sas.servlet.tbeans.dataselectors.html.SelectorContainerStyleKeysInterface
`SELECTOR_BUTTON_CONTAINER, SELECTOR_BUTTON_TABLE, SELECTOR_CONTAINER, SELECTOR_CONTAINER_CANCEL_BUTTON, SELECTOR_CONTAINER_HELP_BUTTON, SELECTOR_CONTAINER_OK_BUTTON`

Fields inherited from interface com.sas.servlet.tbeans.dataselectors.SelectorContainerKeysInterface
`SELECTORCONTAINER_BUTTON_ROW_ID, SELECTORCONTAINER_CANCEL_BUTTON, SELECTORCONTAINER_HELP_BUTTON, SELECTORCONTAINER_OK_BUTTON, SELECTORCONTAINER_PANEL`

Constructor Summary
`SimpleCalculatedItemSelector()` Creates a simple calculated item selector.
`SimpleCalculatedItemSelector(java.lang.String id)` Creates a simple calculated item selector.

Method Summary
`DataSelectorInterface` | `getComponentSelector(java.lang.String key)` Returns the child selector that has been stored into the children's list with a specific key
`void` | `initializeDefaultTabIndexOrder()` Sets the default HTML tab index order for this selector by setting the tab index explicitly on each sub-component of the selector.
`void` | `setComponentSelector(DataSelectorInterface component, java.lang.String key)` Adds a selector to the list of children selectors with a specific key
`protected void` | `setLocaleDependentProperties(java.util.Locale locale)` Sets component properties that depend on the user locale
`void` | `setRequest(javax.servlet.http.HttpServletRequest request)` Sets the request object on all the subSelectors
`void` | `setResponse(javax.servlet.http.HttpServletResponse response)` Sets the response object on all the subSelectors
`void` | `setSelectorModel(java.lang.Object selectormodel)` Sets the selector's data model on all the subSelectors
`void` | `setVisible(boolean visible)` Sets the visibility parameter for a tbean.
`void` | `write(java.io.PrintWriter out)` Writes the selector

Methods inherited from class com.sas.servlet.tbeans.dataselectors.html.AbstractSelectorContainer
`close, getSelectorModel, setSelectorButtonIds, writeRemoteScriptCommands, writeRemoteScriptFrame`

Methods inherited from class com.sas.servlet.tbeans.dataselectors.html.DataSelector
`getAdditionalParameters, getDefaultFormObject, getFormObject, isFormEnabled, setAdditionalParameter, setAdditionalParameters, setFormEnabled, setFormObject`

Methods inherited from class com.sas.servlet.tbeans.dataselectors.BaseDataSelector
`getActionProvider, getClosingFunctionName, getCommandId, getDefaultButtonAction, getReferringURI, getSelectorId, getSelectorType, isButtonsVisible, setActionProvider, setButtonsVisible, setClosingFunctionName, setCommandId, setDefaultButtonAction, setReferringURI, setSelectorId, setSelectorType`

Methods inherited from class com.sas.servlet.tbeans.BaseCompositeTransformation
`applyTemplate, applyTemplate, getComponent, getComponents, getDefaultTemplate, getStyleInfo, getStyleMap, getTemplate, getTemplateDictionary, getTemplateFileName, getTemplateLocation, getVisibleComponents, isFlushEnabled, propertyChange, removeComponent, setCleanUpResourcesOn, setComponent, setFlushEnabled, setId, setLocale, setStyleInfo, setTemplate, setTemplate, setTemplateDictionary, setTemplateFileName, setTemplateLocation, writeTemplate`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCustomAttributes, setInputTransform, setName, setObjectData, setObjectDataProperty, setOutputTransform, setTagEpilog, setTagProlog, toString, write, write, write`

Methods inherited from interface com.sas.dataselectors.DataSelectorInterface
`isVisible`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderInterface
`getRequest`

Field Detail

### subSelectors

    protected java.util.Map subSelectors

  The list of subselectors used to extend the original functionalities of this selector

Constructor Detail

### SimpleCalculatedItemSelector

    public SimpleCalculatedItemSelector()

  Creates a simple calculated item selector. This selector allows a user to create simple calculated columns or measures from a list of available data items. The selector supports the following operations: addition, subtraction, multiplication, and division.

### SimpleCalculatedItemSelector

    public SimpleCalculatedItemSelector(java.lang.String id)

  Creates a simple calculated item selector. This selector allows a user to create simple calculated columns or measures from a list of available data items. The selector supports the following operations: addition, subtraction, multiplication, and division.

  Parameters:
    `id` - The id of this selector.

Method Detail

### setLocaleDependentProperties

    protected void setLocaleDependentProperties(java.util.Locale locale)

  Description copied from class: `AbstractSelectorContainer`
  Sets component properties that depend on the user locale

  Overrides:
    `setLocaleDependentProperties` in class `AbstractSelectorContainer`
  Parameters:
    `locale` - - the user locale

### write

    public void write(java.io.PrintWriter out)
               throws java.io.IOException

  Description copied from class: `AbstractSelectorContainer`
  Writes the selector

  Specified by:
    `write` in interface `HttpDataSelectorInterface`
  Specified by:
    `write` in interface `TransformationInterface`
  Specified by:
    `write` in interface `com.sas.util.WriteToPrintWriterInterface`
  Overrides:
    `write` in class `AbstractSelectorContainer`
  Parameters:
    `out` - - the output stream
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs

### initializeDefaultTabIndexOrder

    public void initializeDefaultTabIndexOrder()

  Sets the default HTML tab index order for this selector by setting the tab index explicitly on each sub-component of the selector.

### setComponentSelector

    public void setComponentSelector(DataSelectorInterface component,
                                     java.lang.String key)

  Description copied from interface: `CompositeSelectorInterface`
  Adds a selector to the list of children selectors with a specific key

  Specified by:
    `setComponentSelector` in interface `CompositeSelectorInterface`
  Parameters:
    `component` - the selector to add to the list of children

### getComponentSelector

    public DataSelectorInterface getComponentSelector(java.lang.String key)

  Description copied from interface: `CompositeSelectorInterface`
  Returns the child selector that has been stored into the children's list with a specific key

  Specified by:
    `getComponentSelector` in interface `CompositeSelectorInterface`
  Parameters:
    `key` - the key to retrieve the child selector into the list of children selectors
  Returns:
    the child selector has been stored into the children list with a specific key, null if there's no such key into the children's list

### setRequest

    public void setRequest(javax.servlet.http.HttpServletRequest request)

  Sets the request object on all the subSelectors

  Specified by:
    `setRequest` in interface `HttpActionProviderInterface`
  Specified by:
    `setRequest` in interface `TransformationInterface`
  Overrides:
    `setRequest` in class `AbstractSelectorContainer`
  Parameters:
    `request` - The request object
  See Also:
    `HttpActionProviderInterface.getRequest()`

### setResponse

    public void setResponse(javax.servlet.http.HttpServletResponse response)

  Sets the response object on all the subSelectors

  Specified by:
    `setResponse` in interface `TransformationInterface`
  Overrides:
    `setResponse` in class `AbstractSelectorContainer`
  Parameters:
    `response` - The response object

### setSelectorModel

    public void setSelectorModel(java.lang.Object selectormodel)

  Sets the selector's data model on all the subSelectors

  Specified by:
    `setSelectorModel` in interface `DataSelectorInterface`
  Overrides:
    `setSelectorModel` in class `AbstractSelectorContainer`
  Parameters:
    `selectormodel` - The selector's data model

### setVisible

    public void setVisible(boolean visible)

  Description copied from class: `BaseTransformation`
  Sets the visibility parameter for a tbean.

  Specified by:
    `setVisible` in interface `DataSelectorInterface`
  Specified by:
    `setVisible` in interface `TransformationInterface`
  Overrides:
    `setVisible` in class `BaseTransformation`
  Parameters:
    `visible` - true to display the tbean, false otherwise.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.